Bug 545739 - Should start after local postgresql
Summary: Should start after local postgresql
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: postgresql-pgpool-II
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Devrim Gündüz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-09 09:33 UTC by Yanko Kaneti
Modified: 2010-01-18 23:24 UTC (History)
1 user (show)

Fixed In Version: 2.3.1-1.el4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-28 20:05:31 UTC
Type: ---


Attachments (Terms of Use)

Description Yanko Kaneti 2009-12-09 09:33:01 UTC
Description of problem:
In what I think would be a quite common setup  pgpool would be installed alongside a local postgresql server which would act as its first backend. Unfortunately due to the init script priorities of postrgesql and pgpool being the same (64)  pgool tends to start before postgresql due to 
S64pgpool being alphabetically before S64postgresql. 
This leads to pgpool concluding that its first backend is not functional.

I'd suggest the startup priority of pgpool be increased to something > 64

Comment 1 Fedora Update System 2009-12-27 21:50:55 UTC
postgresql-pgpool-II-2.3.1-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/postgresql-pgpool-II-2.3.1-1.el5

Comment 2 Fedora Update System 2009-12-27 21:51:00 UTC
postgresql-pgpool-II-2.3.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/postgresql-pgpool-II-2.3.1-1.fc11

Comment 3 Fedora Update System 2009-12-27 21:51:03 UTC
postgresql-pgpool-II-2.3.1-1.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/postgresql-pgpool-II-2.3.1-1.el4

Comment 4 Fedora Update System 2009-12-27 21:51:07 UTC
postgresql-pgpool-II-2.3.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/postgresql-pgpool-II-2.3.1-1.fc12

Comment 5 Fedora Update System 2009-12-28 20:05:27 UTC
postgresql-pgpool-II-2.3.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2009-12-28 20:07:31 UTC
postgresql-pgpool-II-2.3.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-01-18 23:21:18 UTC
postgresql-pgpool-II-2.3.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-01-18 23:24:18 UTC
postgresql-pgpool-II-2.3.1-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.